****************************************************************
*
*    normalize a time series
*
****************************************************************

      subroutine normalize(x,npts,max,error)
      real x(*), max
      integer npts, error, stdout

      integer i

      error = 0
      stdout = 6

      max = -1e30
      do 1 i = 1, npts
*      if(.not. isnormal(x(i)))then
*         write(stdout,*)'Problem in NORMALIZE: NaN'
*         error = 1
*         return
*      endif
       xtmp = abs(x(i))
       if(xtmp .gt. max) max = xtmp
1     continue

      if(max .eq. 0) then
        write(stdout,*)'Problem in NORMALIZE: max = 0'
        error = 1
	return
      end if

      if(max .le. -1e30)then
	write(stdout,*)'Problem in NORMALIZE: max = -1e30'
	error = 1
	return
      end if

      do 2 i = 1, npts
       x(i) = x(i) / max
2     continue

      return
      end

