      subroutine pltvel(x0,y0,x1,y1,x2,y2,use_it,n)
      real x0(n),y0(n),x1(n),y1(n),x2(n),y2(n)
      integer n, use_it(n)
      integer pgopen
c
       iblack = 0
       iwhite = 1
       ired = 2
       igreen = 3
       iblue = 4
       icyan = 5
       imagenta = 6
       iyellow = 7
       iorange = 8
       igreyel = 9
       igrecya = 10
       iblucya = 11
       iblumag = 12
       iredmag = 13
       idarkgray = 14
       ilightgray = 15
       
       isolid = 1

      call pgqid(iold_dev)
      if(my_v_dev .eq. 0) then
         my_v_dev = pgopen('/xwindow')
         call pgpap(6.0,0.75)
      end if
      write(6,*) my_v_dev
      call pgslct(my_v_dev)
      call pgeras
      
      call getusedlimits(x0,n,use_it,axmin,axmax)
      call getusedlimits(y0,n,use_it,aymin,aymax)
      
      xmin = axmin * 0.95
      xmax = axmax * 1.05
      ymin = aymin * 0.95
      ymax = aymax * 1.05
      
      call pgsvp(0.1, 0.9, 0.1, 0.9)
      call pgswin(xmin,xmax,ymin,ymax)
      call pgbox('ABCTNS',0,0,'ABCTNSV',0,0)
      call pgmtext('B',2.5,0.5,0.5,'Period (s)')
      call pgmtext('T',0.5,0.5,0.5,
     &              'Velocity estimates')
c
      xt = xmin +       0.05*(xmax-xmin)
      yt = ymax - 1.0 * 0.05*(ymax-ymin)
      call pgtext(xt,yt,'Peak')
      call plt_curve(x0,y0,use_it,n)
c
      call pgsave
      call pgsci(ired)
      call plt_curve(x1,y1,use_it,n)
      xt = xmin +       0.05*(xmax-xmin)
      yt = ymax - 2.2 * 0.05*(ymax-ymin)
      call pgtext(xt,yt,'Splined')
      call pgunsa
c
      call pgsave
      call pgsci(icyan)
      call plt_curve(x2,y2,use_it,n)
      xt = xmin +       0.05*(xmax-xmin)
      yt = ymax - 4.4 * 0.05*(ymax-ymin)
      call pgtext(xt,yt,'Centroid')
      call pgunsa
c
      call pgslct(iold_dev)     

      return      
      end      
******************************************************************      
      subroutine getusedlimits(x,n,use_it,xmin,xmax)
      real x(n), xmin,xmax
      integer use_it(n)
      
      xmin =  1e30
      xmax = -1e30
      
      do 1 i = 1,n
        if(use_it(i) .eq. 1)then
	  if(x(i) .gt. xmax) xmax = x(i)
	  if(x(i) .lt. xmin) xmin = x(i)
	end if
1     continue
      return
      end
******************************************************************      
      subroutine plt_curve(x,y,use_it,n)
      real x(n), y(n)
      integer use_it(n)
*     
      ifirst = 0
1     ifirst = ifirst + 1
      if(use_it(ifirst) .eq. 1)then 
      	call pgmove(x(ifirst),y(ifirst))
	go to 2
      else
        go to 1
      end if
*
2     continue
*
      do 3 i = ifirst, n
        if(use_it(i) .eq. 1) call pgdraw(x(i),y(i))
3     continue
*
      return
      end

      
