        integer NPTSER
        parameter (NPTSER=300)
        real*4 x(NPTSER), y(NPTSER)
        real*4 xh(NPTSER), yh(NPTSER)
	real*4 p(NPTSER)
        integer*4 num
	integer*2 date1, date3 
        logical islin
	character*40 name
	character*4 sta, date2
	character*2 comp
	write(6,*) 'enter input file name'
	read(5,'(a)') name
	open (1,file=name,status='unknown')
	rewind (1)
c	write(6,*) 'enter output file name'
c	read(5,'(a)') name
	open (2,file=name,status='unknown')
	rewind (2)
	open (3,file='period.d',status='old')
	rewind (3)
	read(3,*) iraorlo, igrorph
	do 100 i=1,NPTSER
	read(3,*,end=102) p(i)
  100	continue
c-----
  102	iflag=0
	zero=0.
	num = 0
	numh = 0
	ifuorhi=1
   98	format(2x,i1,2x,i1)
   99	format(a4,2x,i2,2x,a4,2x,i2,3x,a2,3x,6(f7.2,1x))
	read(1,99) sta, date1, date2, date3, comp, ed, edd, baz, xd1, dep, mag
	read(1,98) nmods, nmn
	write(2,99) sta, date1, date2, date3, comp, ed, edd, baz, xd1, dep, mag
	write(2,98) nmods, nmn
 1000	continue
	num = num + 1
	read(1,*,end=1002)xx,yy
                if(xx.eq.0.0.and.yy.eq.0.0) goto 1200
                x(num) = xx
                y(num) = yy
                goto 1000
 1002   continue
        num = num - 1
	goto 1202
 1200           read(1,*,end=1202)xxh,yyh
		iflag=1
                numh = numh + 1
                xh(numh) = xxh
                yh(numh) = yyh
c               write(6,*) xh(numh), yh(numh)
                goto 1200
 1202   continue
c	interpolate
c-----
        call sintrp (x,y,p,num,islin,iraorlo, igrorph, ifuorhi)
c-----
c	output is done in sintrp
c-----
c-----
	write(2,*) zero, zero
	if(iflag.ge.1) then
	ifuorhi = 2
	call sintrp (xh,yh,p,numh,islin, iraorlo, igrorph, ifuorhi)
	write(2,*) zero, zero
	else
	endif
c	terminate program
c-----
	end

        subroutine sintrp (x,y,p,num,islin, iraorlo, igrorph, ifuorhi) 
c-----
c	this routine prepares the data for spline interpolation.
c	
c	x	R*4	- array of unevenly spaced abscissa
c	y	R*4	- array of ordinates corresponding to x
c	num 	I*4	- number of (x,y) pairs
c	dt	R*4	- desired sampling interval
c	tmax	R*4	- maximum number of seconds to be interpolated
c       islin   L       - linear if .true. else spline
c-----
	integer LIN, LOT, LER
        parameter (LIN=5, LER=0, LOT=6)
	real*4 x(*), y(*),  p(*)
	integer*4  num
        logical islin
	real*4 yint, xx(4), yy(4)
c-----
c	guarantee that the data are increasing in x
c	The problem is that we do not wish to totally reject
c	information for negative time. So it must be made
c	acceptable. The minimum time separation is compared
c	to the mean separation.
c-----
	sdif = 0.0
	xdif = 1.0e+38
	do 9 i=2,num
		dif = abs(x(i) - x(i-1))
		sdif = sdif + dif
		if(dif.gt.0.0 .and .dif.lt.xdif)xdif = dif
    9	continue
		sdif = sdif/num
		if(sdif.gt.xdif)then
			xdif = 0.1*sdif
		endif
        do 10 i=2,num
		if (x(i).le.x(i-1)) x(i)=x(i-1)+0.01*xdif
  10    continue
c-----
c	set up interpolated array in yint()
c       for interior point do cubic, else not
c-----
        yint=y(1)
c	write(2,*)yint
	jk=0
	kj=2
  12	jk=jk+1
	xh=p(jk)
c	write(6,*) jk, xh
	if(x(1).gt.xh) goto 12
  13	if(x(kj).gt.xh) go to 14
	kj=kj+1
	go to 13
  14    time= xh
c	write(6,*) jk, xh , x(1), x(kj)
c 	write(6,*)time
        i=2
        do 60 j=1,num
		if(j.eq.1)then
			kll = 2
			kul = 4
			xx(1) = 2*x(1) - x(2)
			yy(1) = 2*y(1) - y(2)
		elseif(j.eq.num)then
			kll = 1
			kul = 3
			xx(4) = 2*x(num)-x(num-1)
			yy(4) = 2*y(num)-y(num-1)
		else
			kll = 1
			kul = 4
		endif
		j1=j-1
		do 40 k=kll,kul
			xx(k)=x(j1+k-1)
			yy(k)=y(j1+k-1)
  40		continue
  50		continue
		if (x(j+1).lt.time) go to 60
		call pccp (xx,yy,time,yint,islin)
		write(2,*) iraorlo, igrorph, ifuorhi,time, yint
		i=i+1
		jk=jk+1
		time= p(jk)
c		if (time.gt.xx(num-1)) go to 80
		go to 50
  60	continue
  80    continue
        return
        end
 
        subroutine pccp (x,y,xd,yd,islin)
c-----
c     pccp performs piecewise continuous cubic polynomial interpolation.
c     the method requires two x and y points on each side of position xd
c     where the value of yd is determined. weighted averages of the slopes
c     are determined at the knots (positions x(2) and x(3)), and the slopes
c     and the values x(2), y(2), x(3), y(3) are used to determine yd which
c     corresponds to x position xd which falls between x(2) and x(3).
c     references
c     wiggins,r.a.,bull. seism. soc. am.,v.66,p2077-2081,1976.
c-----
        real*4 x(4),y(4)
	real*4 xd, yd
        logical islin
        eps=0.001
c-----
c     determine slopes at x(2) and x(3)
c-----
               sx2=(y(2)-y(1))/(x(2)-x(1))
               sx3=(y(3)-y(2))/(x(3)-x(2))
               sx4=(y(4)-y(3))/(x(4)-x(3))
c-----
c     weight slopes.
c-----
               w1=1.0/amax1(abs(sx2),eps)
               w2=1.0/amax1(abs(sx3),eps)
               w3=1.0/amax1(abs(sx4),eps)
               s2=(w2*sx3+w3*sx4)/(w2+w3)
               s1=(w1*sx2+w2*sx3)/(w1+w2)
c-----
c     evaluate polynomial at x=xd
c     with slopes given at x(2) and x(3)
c-----
	if(islin)then
		p0 = y(2)
		p1 = sx3
		p2 = 0.0
		p3 = 0.0
	else
               p0=y(2)
               p1=s1
               p2=(3.0*(y(3)-y(2))/(x(3)-x(2))-2.0*s1-s2)/(x(3)-x(2))
               p3=(s1+s2-2.0*(y(3)-y(2))/(x(3)-x(2)))/((x(3)-x(2))**2)
	endif
               xmxd=xd-x(2)
               yd = p0 + xmxd*(p1 + xmxd*(p2 + xmxd*p3 ) )
        return
        end
