      subroutine put_seis(y,n,dt,scale)
      real y(n),x
      integer n
      integer stdin, stdout     
      character*256 thename
*      
      stdin = 5
      stdout = 6
*
      if(scale .eq. 0.0) scale = 1.0
      
      do 1 i = 1,n
        y(i) = y(i) * scale
1     continue
c     call setihv('IFTYPE','ITIME',nerr)
c     call setlhv('LEVEN',.true.,nerr)
c     call setnhv('NPTS',n,nerr)
*      
100   write(stdout,200)
200   format(' Enter the ouput file name: ',$)
      read(stdin,'(a)',err=100) thename      
      ilen = lnblnk(thename)

      call wsac0(thename,x,y,nerr)
      
      if(nerr .eq. 0)then
        write(stdout,*)'Wrote out: ',thename(1:ilen)
      else
        write(stdout,*)'Problem writing file: ',thename(1:ilen)
      end if
*      
      do 1000 i = 1,n
        y(i) = y(i) / scale
1000  continue

      return
      end
*
******************************************************************
*
      subroutine export_signals(s,e,f,n,dt,scale,work,period)
      real s(n),e(n),f(n),x,work(n)
      integer n
      integer stdin, stdout
      character*256 outfile     
*      
      stdin = 5
      stdout = 6
*
      if(scale .eq. 0.0) scale = 1.0
      
      do 1 i = 1,n
        s(i) = s(i) * scale
        e(i) = e(i) * scale
	work(i) = -1
	if(abs(f(i)) .ge. 0.0001) work(i) = 1 / f(i)
1     continue
*      
      write(outfile,'(a8,f6.2)')'ex_seis_',period
      do 10 i=1,14
        if(outfile(i:i) .eq. ' ') outfile(i:i) = '0'
10    continue
      call wsac0(outfile,x,s,nerr)
      write(outfile,'(a8,f6.2)')'ex_envl_',period
      do 11 i=1,14
        if(outfile(i:i) .eq. ' ') outfile(i:i) = '0'
11    continue
      call wsac0(outfile,x,e,nerr)
      write(outfile,'(a8,f6.2)')'ex_iper_',period
      do 12 i=1,14
        if(outfile(i:i) .eq. ' ') outfile(i:i) = '0'
12    continue
      call wsac0(outfile,x,work,nerr)
      
      if(nerr .eq. 0)then
        write(stdout,*)'Wrote out: ex_seis,ex_envl,ex_ifrq'
        write(stdout,*)'Period:    ',period
      else
        write(stdout,*)'Problem writing exporting signals.'
      end if
*      
      do 1000 i = 1,n
        s(i) = s(i) / scale
        e(i) = e(i) / scale
	work(i) = 0
1000  continue

      return
      end
