*      include file for the sw analysis code

       integer maxtpts, maxvel, maxperiods
       parameter (maxtpts = 8200, maxvel=750, maxperiods=128)

       real seis(maxtpts), wind_seis(maxtpts),orig_seis(maxtpts)
       real gwidth, envelope(maxtpts),the_ifrq(maxtpts)
       real xpoly(maxtpts), ypoly(maxtpts), thespec(maxtpts)
       real xnoise(maxtpts), ynoise(maxtpts)
       real dt,df,beg,end,or_beg,or_end
       real vgmin,vgmax, qa(3), qv(3)
c      real iobuffer(maxvel*maxperiods)
       real fbuffer(maxperiods,maxvel),instfrq(maxperiods,maxvel)
c      real pbuffer(maxperiods,maxvel)
       real theGroupVels(maxperiods),periods(maxperiods)
       real centroidGroupVels(maxperiods),peakPeriods(maxperiods)
       real theInstPeriod(maxperiods)
       real magnitude, fnyquist
       real cmin, cmax
       real dlogperiod, maxlogperiod,minlogperiod 
       real minfreq, maxfreq,dfq, theAmplitudes(maxperiods)
       real normalizer,symsize
       real splGroupVels(maxperiods)
       real gvhigh(maxperiods),gvlow(maxperiods)
       real prem_g(100),prem_t(100)
       real tr(6), cntrs(25),atmp(maxperiods)
       
       complex c_amps(maxperiods)

       integer forward,inverse,ntpts,nfpts,halfpts,nyqpt
       integer stdin,stdout,stderr, inunit, ounit
       integer snumber, idevice, slen
       integer estimate_noise

       integer  i, j, k, l
       integer nperiods, nvelocities
       integer use_it(maxperiods), is_overtone
       integer itype
*              = 1 for rayleigh, 2 for love
       integer iSGF, iX, iTEK

       character*256 seisfile, gvel_file, title
       character*1 key
       character*8 kzdate, kstnm, kcmpnm
       character*256 prem_rayl_file, prem_love_file

       logical lexists, lplot_image
       
       common /io_common/ stdin,stdout,stderr, inunit, ounit
       common /in_seis/ seis,dt,beg,end,or_beg,or_end,ntpts,
     &                  distance,seisfile, t_beg, a_pick
       common /spectra/ df,fnyquist,nfpts,halfpts,nyqpt
       common /mwa/ vgmin,vgmax,nvelocities,nperiods,minlogperiod,
     &             maxlofperiod,minfreq,maxfreq,dfq,dlogperiod,
     &             spec_image,cmin,cmax
           
       common /gvelocity/ maxvalues,freqs,gvelfile
      
